Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PER.rover
Class MiniLog

    java.lang.Object
      PER.rover.MiniLog

public class MiniLog
extends java.lang.Object

A comma delimited log file that records the time, outcome, and length of rover missions. This log file was primarily designed to aid in statistical analysis of the PER Exhibits.

Constructor Summary
`MiniLog()` Creates a new instance of MiniLog

Method Summary
`static void` | `initLogFile(java.lang.String name)` Initializes the miniLog file with the given name.
`static void` | `print(java.lang.String str)` Print a string to the logfile.
`static void` | `print(java.lang.String str, boolean printToConsole)` Print a string to the logfile.
`static void` | `println(java.lang.String str)` Print a line to the logfile
`static void` | `println(java.lang.String str, boolean printToConsole)` Print a line to the logfile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniLog

    public MiniLog()

  Creates a new instance of MiniLog

Method Detail

### initLogFile

    public static void initLogFile(java.lang.String name)

  Initializes the miniLog file with the given name. If the log has not been initalized, all strings will be printed to System.out.

### println

    public static void println(java.lang.String str)

  Print a line to the logfile

### println

    public static void println(java.lang.String str,
                               boolean printToConsole)

  Print a line to the logfile. If printToConsole is true, then echo the line to System.out.

### print

    public static void print(java.lang.String str)

  Print a string to the logfile.

### print

    public static void print(java.lang.String str,
                             boolean printToConsole)

  Print a string to the logfile. If printToConsole is true, echos the string to System.out.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD